$(function()
{
	$("#login-submit").click(function(event){
		event.preventDefault();
		doLogin();
	});
	
	$("#ui-password").keydown(function(event) {
		if(!HandleEnterKey(event, "login-submit"))
			return false;
	});
	
	$("#ui-user").keydown(function(event) {
		if(!HandleEnterKey(event, "login-submit"))
			return false;
	});
	
	$('#logo').attr("src", header_logo_image);
	$('#biglogo').attr("src", header_logo_big_image);
	
	$('body').show();
	$('#ui-user').focus();
});

/////////////////////////////////////////////////////////////////////////////////////////

function ajax_login(x, jqXHR, textStatus, params)
{
	if(x != null) {
		if(x.status == 'ok') {
			window.location = x.url;
		}
		else {
			$('#auth_error').html(x.error);
		}
	}
}

/////////////////////////////////////////////////////////////////////////////////////////

function doLogin() {
	var user = $('#ui-user').val();
	var password = $('#ui-password').val();
	var datastr = "c=auth&user=" + encodeURIComponent(user) + "&pass=" + encodeURIComponent(password);
	ajax_call(datastr, ajax_login, null);
}

/////////////////////////////////////////////////////////////////////////////////////////
